cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners/{owner_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owner": {
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Remove a private endpoint trusted owner from a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
DELETE
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-trusted-owners
/
{owner_id}
cURL
curl --request DELETE \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners/{owner_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owner": {
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
owner_id corresponds to the UUID of the private endpoint trusted owner entry.
Response
A successful response.
PrivateEndpointTrustedOwner represents a trusted owner entry for private endpoint connections.
Show child attributes
Show child attributes

